Bulk Get Fragments Used By¶
POST /rest/asset/v2/fragment/bulk/usedby
Method: POST
Path: /rest/asset/v2/fragment/bulk/usedby
Tag: Fragments (New)
Operation ID: bulkUsedByUsingPOST_fragment
Returns, for each of the specified fragments, whether it is used and the number of places it is used (count) — not the referencing assets themselves. Maximum 50 assets per request. Required Permissions: Read-Only Assets, Access Design Studio.
Formats¶
- Request:
application/json - Response:
application/json
Request¶
Query parameters¶
| Name | Type | Required | Description | Constraints |
|---|---|---|---|---|
access_token |
string | Yes | Token for Authorization |
Header parameters¶
| Name | Type | Required | Description | Constraints |
|---|---|---|---|---|
x-app-type |
string | Yes | Application type header |
Request body¶
Name: bulkUsedByRequest
Required: Yes
Schema: model: BulkUsedByRequest
bulkUsedByRequest
Generated example¶
Referenced models¶
Example request¶
POST {{base_url}}/rest/asset/v2/fragment/bulk/usedby?access_token={{access_token}}
x-app-type: {{x-app-type}}
Content-Type: application/json
Accept: application/json
{
"assetIds": [
"string"
]
}
Responses¶
200 — OK¶
Schema: model: BulkUsedByResponse
Generated example¶
{
"success": true,
"requestId": "123",
"result": [
{
"id": "123",
"name": "Example name",
"count": 123,
"used": true
}
]
}
Referenced models¶
default — Error¶
Schema: model: ErrorResponse
Generated example¶
{
"success": true,
"requestId": "123",
"errors": [
{
"key": "string",
"message": "string",
"code": "string",
"dynamicMessage": "string",
"type": "string",
"source": "string",
"errorMessage": "string",
"errorPosition": {
"line": 123,
"column": 123
}
}
]
}
Referenced models¶
Source¶
Generated from swagger-asset.json.
Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.